#include "Writer.h"

using namespace Framework;

OStreamWriter::OStreamWriter(std::ostream& out)
    : out(out)
{}

void OStreamWriter::write(const char* bytes, int len)
{
    out.write(bytes, (__int64)len);
}

bool OStreamWriter::isEnd() const
{
    return out.eof();
}